#Available arches for Smuxi
##Some BuildRequires packages not found
ExclusiveArch: %ix86 x86_64 ia64 sparcv9 alpha s390x

%define debug_package %{nil}

Name:  smuxi
Summary: Powerful, flexible, user-friendly chat client 
Version: 0.11.1
Release: 1%{?dist}
##Release: 1.%%{date}git%%(echo %%{checkout} | cut -c-6)%%{?dist}
License: GPLv2+ and LGPLv2+ and BSD and ASL 2.0
URL:   https://smuxi.im
Source0: https://smuxi.im/jaws/data/files/smuxi-%{version}.tar.gz

Source1: %{name}-APACHE-LICENSE-2.0.txt
Source2: %{name}-lgpl-2.1.txt

BuildRequires: nini-devel, mono-devel, log4net-devel, stfl-devel
BuildRequires: gtkspell-devel, libnotify-devel, dbus-sharp-devel
BuildRequires: dbus-sharp-glib-devel, gtk-sharp2-devel, gio-sharp-devel
BuildRequires: libappindicator-sharp-devel, notify-sharp-devel
BuildRequires: ndesk-dbus-devel, intltool, desktop-file-utils

##Fix appindicator-sharp package request
Patch0: %{name}-fix_appindicator_sharp_calls.patch
Obsoletes:      %{name}-devel <= 0:0.11-2 

%description
Smuxi is an open-source, powerful, flexible, and user-friendly chat client
created by Mirco Bauer and developed by other contributors. 
Inspired by the combination of screen and irssi, Smuxi has a detachable server 
(or like a "normal" client) that stays connected when you aren't, and 
can allow multiple Smuxi front-ends (like the GNOME front-end, or 
STFL text-based front-end) to be connected and in sync. 
This is similar to screen+irssi or IRC bouncers, but more elegant and powerful.

%package engine
Summary:   Smart MUltipleXed Irc - Engine Library
Requires:  %{name}%{?_isa} = %{version}-%{release}
%description engine
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
IRC, Twitter, XMPP, Jabber client for advanced users. These are its 
engine libraries.

%package frontend-stfl
Summary:   Smart MUltipleXed Irc - STFL Frontend
Requires:  %{name}%{?_isa} = %{version}-%{release}
Requires:  %{name}-engine%{?_isa} = %{version}-%{release}
Requires:  stfl
%description frontend-stfl
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
client for advanced users. This is a frontend for terminal
by STFL.

%package frontend-gnome
Summary:   Smart MUltipleXed Irc - GNOME Frontend
Requires:  %{name}%{?_isa} = %{version}-%{release}
Requires:  %{name}-engine%{?_isa} = %{version}-%{release}
%description frontend-gnome
Smuxi is an irssi-inspired, flexible, user-friendly and cross-platform
client for advanced users. This is frontend for GNOME.

%prep
%setup -q -n %{name}-%{version}
iconv -f iso8859-1 -t utf-8 CREDITS > CREDITS.conv && mv -f CREDITS.conv CREDITS

%patch0 -p0

cp -p %{SOURCE1} APACHE-LICENSE-2.0.txt
cp -p %{SOURCE2} lgpl-2.1.txt

%build
%configure --disable-silent-rules --with-vendor-package-version="Fedora %{fedora}" \
 --enable-static=no --enable-shared=yes --disable-rpath --enable-engine-irc --enable-engine-campfire \
 --enable-engine-xmpp --enable-engine-twitter --enable-engine-jabbr \
 --enable-frontend-gnome --enable-frontend-stfl --disable-frontend-curses \
 --enable-frontend-swf=no --enable-frontend-wpf=no --disable-frontend-test \
 --with-db4o=included --with-messaging-menu=no --with-indicate=no --with-notify --with-dbus \
 --with-gtkspell --libdir=%{_prefix}/lib \
 MCS=%{_bindir}/dmcs

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}-engine --with-gnome
%find_lang %{name}-engine-campfire --with-gnome
%find_lang %{name}-engine-irc --with-gnome
%find_lang %{name}-engine-jabbr --with-gnome
%find_lang %{name}-engine-twitter --with-gnome
%find_lang %{name}-engine-xmpp --with-gnome
%find_lang %{name}-frontend --with-gnome
%find_lang %{name}-frontend-gnome --with-gnome
%find_lang %{name}-frontend-gnome-irc --with-gnome
%find_lang %{name}-frontend-gnome-twitter --with-gnome
%find_lang %{name}-frontend-gnome-xmpp --with-gnome
%find_lang %{name}-server --with-gnome

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-frontend-gnome.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files 
%doc BUGS TODO FEATURES CREDITS
%license LICENSE
%license lib/Twitterizer/*license.txt
%license APACHE-LICENSE-2.0.txt lgpl-2.1.txt
%dir %{_prefix}/lib/%{name}
%{_prefix}/lib/pkgconfig/smuxi-common.pc

%files engine -f %{name}-engine.lang -f %{name}-engine-campfire.lang -f %{name}-engine-irc.lang -f %{name}-engine-jabbr.lang -f %{name}-engine-twitter.lang -f %{name}-engine-xmpp.lang -f %{name}-server.lang -f %{name}-frontend.lang
%{_bindir}/%{name}-server
%{_prefix}/lib/%{name}/%{name}-server.exe*
%{_prefix}/lib/%{name}/Db4objects.Db4o.dll*
%{_prefix}/lib/%{name}/%{name}-engine.dll*
%{_prefix}/lib/%{name}/%{name}-common.dll*
%{_prefix}/lib/%{name}/%{name}-engine-campfire.dll*
%{_prefix}/lib/%{name}/ServiceStack.*.dll*
%{_prefix}/lib/%{name}/%{name}-engine-irc.dll*
%{_prefix}/lib/%{name}/Meebey.SmartIrc4net.dll*
%{_prefix}/lib/%{name}/%{name}-engine-jabbr.dll*
%{_prefix}/lib/%{name}/JabbR.Client.dll*
%{_prefix}/lib/%{name}/Microsoft.AspNet.SignalR.Client.dll*
%{_prefix}/lib/%{name}/%{name}-engine-twitter.dll*
%{_prefix}/lib/%{name}/Newtonsoft.Json.dll*
%{_prefix}/lib/%{name}/Twitterizer2.dll*
%{_prefix}/lib/%{name}/%{name}-engine-xmpp.dll*
%{_prefix}/lib/%{name}/agsxmpp.dll*
%{_prefix}/lib/%{name}/StarkSoftProxy.dll*
%{_prefix}/lib/%{name}/%{name}-frontend.dll*
%{_prefix}/lib/pkgconfig/smuxi-engine-irc.pc
%{_prefix}/lib/pkgconfig/smuxi-engine.pc
%{_mandir}/man1/%{name}-server.1*

%files frontend-stfl
%{_bindir}/smuxi-frontend-stfl
%{_prefix}/lib/smuxi/smuxi-frontend-stfl.exe
%{_prefix}/lib/smuxi/smuxi-frontend-stfl.exe.config
%{_mandir}/man1/smuxi-frontend-stfl.1.*

%files frontend-gnome -f %{name}-frontend-gnome.lang -f %{name}-frontend-gnome-irc.lang -f %{name}-frontend-gnome-twitter.lang -f %{name}-frontend-gnome-xmpp.lang
%{_bindir}/%{name}-frontend-gnome
%{_prefix}/lib/%{name}/%{name}-frontend-gnome.exe*
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-irc.dll*
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-twitter.dll*
%{_prefix}/lib/%{name}/%{name}-frontend-gnome-xmpp.dll*
%{_mandir}/man1/%{name}-frontend-gnome.1*
%{_datadir}/icons/hicolor/*/apps/smuxi-group-chat.png
%{_datadir}/icons/hicolor/*/apps/smuxi-person-chat.png
%{_datadir}/applications/%{name}-frontend-gnome.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}-frontend-gnome.*
%{_prefix}/lib/pkgconfig/smuxi-frontend.pc

%changelog
* Sat Mar 21 2015 Antonio Trande <sagitterATfedoraproject.org> 0.11.1-1
- Update to 0.11.1

* Mon Jan 26 2015 Antonio Trande <sagitterATfedoraproject.org> 0.11-5
- frontend-sftl requires stfl explicitly
- Set exclusive arches for Smuxi (bz#1185763)

* Sun Jan 25 2015 Peter Robinson <pbrobinson@fedoraproject.org> 0.11-4
- Update mono excludes

* Fri Jan 23 2015 Antonio Trande <sagitterATfedoraproject.org> 0.11-3
- Sub-packages re-arranged according to upstream

* Fri Jan 02 2015 Antonio Trande <sagitterATfedoraproject.org> 0.11-2
- Fixed multi-License

* Wed Dec 24 2014 Antonio Trande <sagitterATfedoraproject.org> 0.11-1
- First package
